Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.user
Class RemotePresenceEventDispatcher

    java.lang.Object
      org.jivesoftware.openfire.user.RemotePresenceEventDispatcher

    public class RemotePresenceEventDispatcher

extends Object

Dispatches presence events of remote users. The following events are supported:

- remoteUserAvailable --> A remote user is now available.
- remoteUserUnavailable --> A remote user is no longer available.

Use `addListener(RemotePresenceEventListener)` and `removeListener(RemotePresenceEventListener)` to add or remove `RemotePresenceEventListener`.

Author:
  Armando Jagucki

Constructor Summary
`RemotePresenceEventDispatcher()`

Method Summary
`static void` | `addListener(RemotePresenceEventListener listener)` Registers a listener to receive events.
`static void` | `remoteUserAvailable(org.xmpp.packet.Presence presence)` Notification message indicating that a remote user is now available or has changed his available presence.
`static void` | `remoteUserUnavailable(org.xmpp.packet.Presence presence)` Notification message indicating that a remote user that was available is no longer available.
`static void` | `removeListener(RemotePresenceEventListener listener)` Unregisters a listener to receive events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemotePresenceEventDispatcher

    public RemotePresenceEventDispatcher()

Method Detail

### addListener

    public static void addListener(RemotePresenceEventListener listener)

  Registers a listener to receive events.

  Parameters:
    `listener` - the listener.

### removeListener

    public static void removeListener(RemotePresenceEventListener listener)

  Unregisters a listener to receive events.

  Parameters:
    `listener` - the listener.

### remoteUserAvailable

    public static void remoteUserAvailable(org.xmpp.packet.Presence presence)

  Notification message indicating that a remote user is now available or has changed his available presence. This event is triggered when an available presence is received by `PresenceRouter`.

  Parameters:
    `presence` - the received available presence.

### remoteUserUnavailable

    public static void remoteUserUnavailable(org.xmpp.packet.Presence presence)

  Notification message indicating that a remote user that was available is no longer available. A remote user becomes unavailable when an unavailable presence is received. by `PresenceRouter`.

  Parameters:
    `presence` - the received unavailable presence.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.